(BETA) List AI Lake Database instances
(BETA) Lists database instances in the organization's AI Lake. Supports paging via size and offset query parameters. Use metaInclude=page to get total count.
query Parameters
sizeinteger · int32Default: 50offsetinteger · int32Default: 0metaIncludestring[] · unique
Responses
AI Lake database instances successfully retrieved
databasesobject[] · requiredList of database instances
totalCountinteger · int32Total count of items (only set when metaInclude=page)
(BETA) Create a new AILake Database instance
(BETA) Creates a new database in the organization's AI Lake. Returns an operation-id in the operation-id header the client can use to poll for the progress.
Headers
operation-idstring
Request Body
namestring · requiredName of the database instance
storageIdsstring[] · unique · requiredSet of ids of the storage instances this database instance should access.
Responses
Accepted
(BETA) Get the specified AILake Database instance
(BETA) Retrieve details of the specified AI Lake database instance in the organization's AI Lake.
path Parameters
instanceIdstring · requiredDatabase instance identifier. Accepts the database name (preferred) or UUID.
Database instance identifier. Accepts the database name (preferred) or UUID.
Responses
AI Lake database instance successfully retrieved
idstring · requiredId of the AI Lake Database instance
namestring · requiredName of the AI Lake Database instance
storageIdsstring[] · unique · requiredSet of ids of the storage instances this database instance should access.
(BETA) Delete an existing AILake Database instance
(BETA) Deletes an existing database in the organization's AI Lake. Returns an operation-id in the operation-id header the client can use to poll for the progress.
path Parameters
instanceIdstring · requiredDatabase instance identifier. Accepts the database name (preferred) or UUID.
Database instance identifier. Accepts the database name (preferred) or UUID.
Headers
operation-idstring
Responses
Accepted